---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterobjreachobj003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3FF0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50E00, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52D40, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53130, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x540D0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x540E0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50A70, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50A74, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50A78, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50BD0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50C88, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50C8C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50C90, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50C94, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50C98, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50CA0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50CB0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50CB8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50CC0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50CC8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50CD0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50CD8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x50D1C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50D20, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50D28, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x50D64, symBinAddr: 0xC1E4, symSize: 0x0 }
  - { offsetInCU: 0x956F, offset: 0x956F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2C90, symSize: 0x80 }
  - { offsetInCU: 0x9604, offset: 0x9604, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2BE0, symSize: 0xB0 }
  - { offsetInCU: 0x965F, offset: 0x965F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2AE0, symSize: 0x100 }
  - { offsetInCU: 0x98F2, offset: 0x98F2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2D10, symSize: 0xC0 }
  - { offsetInCU: 0x9944, offset: 0x9944, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2DD0, symSize: 0x220 }
  - { offsetInCU: 0x9B29, offset: 0x9B29, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2FF0, symSize: 0xA0 }
  - { offsetInCU: 0x9BDC, offset: 0x9BDC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3090, symSize: 0x110 }
  - { offsetInCU: 0x9CD2, offset: 0x9CD2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x31A0, symSize: 0x150 }
  - { offsetInCU: 0x9E4F, offset: 0x9E4F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x32F0, symSize: 0x30 }
  - { offsetInCU: 0x9EF8, offset: 0x9EF8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3320, symSize: 0x150 }
  - { offsetInCU: 0xA0F0, offset: 0xA0F0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3470, symSize: 0x160 }
  - { offsetInCU: 0xA3B0, offset: 0xA3B0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x35D0, symSize: 0x4A0 }
  - { offsetInCU: 0xA623, offset: 0xA623, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3A70, symSize: 0x1B0 }
  - { offsetInCU: 0xA83E, offset: 0xA83E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3C20, symSize: 0xA0 }
  - { offsetInCU: 0xA90D, offset: 0xA90D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3CC0, symSize: 0x20 }
  - { offsetInCU: 0xA944, offset: 0xA944, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3CE0, symSize: 0x20 }
  - { offsetInCU: 0xA97B, offset: 0xA97B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3D00, symSize: 0x20 }
  - { offsetInCU: 0xAAEA, offset: 0xAAEA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3D20, symSize: 0x1A0 }
  - { offsetInCU: 0xAE06, offset: 0xAE06, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3EC0, symSize: 0x130 }
  - { offsetInCU: 0xAFB6, offset: 0xAFB6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4260, symSize: 0x1B0 }
  - { offsetInCU: 0xB2A5, offset: 0xB2A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4410, symSize: 0x80 }
  - { offsetInCU: 0xB36E, offset: 0xB36E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4490, symSize: 0x6A0 }
  - { offsetInCU: 0xBF03, offset: 0xBF03, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA550, symBinAddr: 0x5F00, symSize: 0xB0 }
  - { offsetInCU: 0xBF7A, offset: 0xBF7A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4B30, symSize: 0x70 }
  - { offsetInCU: 0xC07A, offset: 0xC07A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x4560, symBinAddr: 0x4BA0, symSize: 0x390 }
  - { offsetInCU: 0xC4E9, offset: 0xC4E9, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4F30, symSize: 0xA0 }
  - { offsetInCU: 0xC5C8, offset: 0xC5C8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4FD0, symSize: 0x40 }
  - { offsetInCU: 0xC6BE, offset: 0xC6BE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5010, symSize: 0x2B0 }
  - { offsetInCU: 0xCA64, offset: 0xCA64, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x52C0, symSize: 0xC0 }
  - { offsetInCU: 0xCBAA, offset: 0xCBAA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5380, symSize: 0x10 }
  - { offsetInCU: 0xCC6C, offset: 0xCC6C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5390, symSize: 0x220 }
  - { offsetInCU: 0xCF69, offset: 0xCF69, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x55B0, symSize: 0x10 }
  - { offsetInCU: 0xCFC6, offset: 0xCFC6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x55C0, symSize: 0x1F0 }
  - { offsetInCU: 0xD229, offset: 0xD229, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x57B0, symSize: 0x10 }
  - { offsetInCU: 0xD2A6, offset: 0xD2A6, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0x9E10, symBinAddr: 0x57C0, symSize: 0x400 }
  - { offsetInCU: 0xD8BF, offset: 0xD8BF, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA210, symBinAddr: 0x5BC0, symSize: 0x340 }
  - { offsetInCU: 0xDCB0, offset: 0xDCB0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA600, symBinAddr: 0x5FB0, symSize: 0x36A }
...
